# svn_auth_set_parameter

(PECL svn >= 0.1.0)

svn_auth_set_parameter — Spécifie un paramètre d'identification

### Description

svn_auth_set_parameter(string `$key`, string `$value`): void

Spécifie le paramètre d'identification `key` à la valeur `value`. Pour une liste de clés valides ainsi que leurs significations, reportez-vous à la liste des constantes d'identification.

### Liste de paramètres

`key`

  Nom de la clé. Utilisez une constante d'identification définie par cette extension pour spécifier la clé.

`value`

  Valeur à définir pour la nouvelle clé. Le format de la valeur varie avec le paramètre.

### Valeurs de retour

Aucune valeur n'est retournée.

### Exemples

Exemple #1 Exemple d'identification

Cet exemple configure SVN avec, comme nom d'utilisateur `"Bob"` et comme mot de passe `"abc123"` :

`<?php
svn_auth_set_parameter(SVN_AUTH_PARAM_DEFAULT_USERNAME, 'Bob');
svn_auth_set_parameter(SVN_AUTH_PARAM_DEFAULT_PASSWORD, 'abc123');
?>`

### Notes

Avertissement

Cette fonction est EXPERIMENTALE. Le comportement de cette fonction, son nom, et toute la documentation autour de cette fonction peut changer sans préavis dans une prochaine version de PHP. Cette fonction doit être utilisée à vos risques et périls.

### Voir aussi

- svn_auth_get_parameter() - Récupère un paramètre d'identification
- Constantes d'identification